<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<html>
<head>
<title>ECOPAL</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<LINK REL="SHORTCUT ICON" HREF="../sivi.ico">
<LINK href="../general.css" type=text/css rel=stylesheet>
<link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
<script src="../bootstrap/js/bootstrap.min.js"></script>




<script language="javascript">
function format(input)
{
var num = input.value.replace(/\./g,'');
if(!isNaN(num)){
num = num.toString().split('').reverse().join('').replace(/(?=\d*\.?)(\d{3})/g,'$1.');
num = num.split('').reverse().join('').replace(/^[\.]/,'');
input.value = num;
}

else{ alert('Solo se permiten numeros');
input.value = input.value.replace(/[^\d\.]*/g,'');
}
}
</script>
<style type="text/css">
<!--
.Estilo1 {font-size: 24px}
-->
</style>
</head>
<BODY onLoad="parametros.precio.focus();" onBlur="self.focus();">
<?php
 @session_start();
  $vg_login=$_SESSION["usuario"];
  if($vg_login<>""){}
 else
  {echo "<script>";
   echo "window.location='../index.php';";
   echo "</script>";
  }	
include "../valida_permisos.php";
$vg_programa = F_programa();
include "../seguridad.php";
$ip=getenv("REMOTE_ADDR");

include "../conexion.php";
$id="";	$cantidad="";	$precio=""; 	$proveedor=""; 	$observacion=""; 	$fecha=""; 
$id=$_REQUEST["id"];   
$paqueteunidad=$_REQUEST["paqueteunidad"];  				  

if($id<>"")
	  {
		 $sql_datosrs=mssql_query("SELECT count(*) as contar from producto where codigobarra='".$id."'",$conexion);
		 $contar=mssql_result($sql_datosrs, 0, "contar");
		  if($contar>=1)
		  {
		   $sql_datosrs=mssql_query("SELECT id from producto where codigobarra='".$id."'",$conexion);
		   $id=mssql_result($sql_datosrs, 0, "id");
		  }
	  }
	  
	   //sacamos el precio por unidad y paquete
 $sql_datosrs=mssql_query("SELECT id,nombre,descripcion,preciounitario,precioventa,productofamilia,marca,iva,
							codigobarra,estado,ubicacion,paqueteunidad,cantidadpaquete,preciopaquete
							 from producto
							where id='".$id."'",$conexion);
 $precio=mssql_result($sql_datosrs, 0, "precioventa");
 $nombre=mssql_result($sql_datosrs, 0, "nombre");
				  
if(isset($_REQUEST["oculto"]))
{ 
	$id=$_REQUEST["id"]; 
	$precio=$_REQUEST["precio"]; 
	$cantidad=$_REQUEST["cantidad"];   
	$total=$_REQUEST["total"]; 

	 if($_REQUEST["Ovalorcambio"]==1)
	 {
	   $totalP=str_replace(".","",$_REQUEST["precio"]);   
	   $efectivoP=str_replace(".","",$_REQUEST["cantidad"]);  
	   $total=$efectivoP*$totalP;
	 }


 if($_REQUEST["Oguardar"]==1)
 {
  	$hora=date("H:i:s");
   $fecha=date("m/d/Y");

		if($id>=0 && $id<>"" && $precio>0 && $cantidad>0)
			 {
				//veriricamos si hay una prefactura activa
					
					$sql_contar=mssql_query("SELECT count(*) as contar from preventa where usuario='".$vg_login."'",$conexion);
					$contar=mssql_result($sql_contar, 0, "contar");
					if($contar>=1) 
					 { 
					   $sql_contar=mssql_query("SELECT preventa from preventa where usuario='".$vg_login."'",$conexion);
					   $preventa=mssql_result($sql_contar, 0, "preventa");	
					 }
					else
					  {
					     $rs_nuevaventa=mssql_query("SELECT preventa FROM parametros",$conexion);
						 $preventa=mssql_result($rs_nuevaventa, 0, "preventa")+1;						 
						 $rs_updatenuevaventa=mssql_query("update parametros set preventa='".$preventa."'",$conexion);
					  }
					
					 $idp=$id;
					 $sql_datosrs=mssql_query("SELECT count(*) as contar from producto where codigobarra='".$idp."'",$conexion);
					 $contar=mssql_result($sql_datosrs, 0, "contar");
					  if($contar>=1)
					  {
					   $sql_datosrs=mssql_query("SELECT id from producto where codigobarra='".$idp."'",$conexion);
					   $idp=mssql_result($sql_datosrs, 0, "id");
					  }
					
				      $sql_datosrs=mssql_query("SELECT count(*) as contar from producto where id='".$idp."'",$conexion);
					  $contar=mssql_result($sql_datosrs, 0, "contar");
					  
					  if($contar>=1)
					  {					    
							$sql_datosre=mssql_query("SELECT id,nombre,descripcion,precioventa,productofamilia,marca,iva,paqueteunidad
													  from producto where id='".$idp."'",$conexion);													  
							$nombre=mssql_result($sql_datosre, 0, "nombre");
							$descripcion=mssql_result($sql_datosre, 0, "descripcion");
							//$precio=mssql_result($sql_datosre, 0, "precioventa");
							$productofamilia=mssql_result($sql_datosre, 0, "productofamilia");
							$marca=mssql_result($sql_datosre, 0, "marca");					
							$iva=mssql_result($sql_datosre, 0, "iva");
							$paqueteunidad=mssql_result($sql_datosre, 0, "paqueteunidad");
							if($iva>0){$totaliva=($totalitem*$iva)/100;}
							else {$totaliva=0;}
							$precio=str_replace(".","",$_REQUEST["precio"]);
							 $sql_insert=mssql_query("insert into preventa (fecha,hora,producto,cantidad,precio,fecsis,usuario,estado,preventa,iva,paqueteunidad)
																	values	('".$fecha."','".$hora."','".$idp."','".$cantidad."','".$precio."',
																			 '".$fecha."','".$vg_login."','A','".$preventa."','".$totaliva."','".$paqueteunidad."')",$conexion);
							 if($sql_insert)
							   { $idp="0";
								 echo "<script>javascript:window.opener.parametros.id.value=$idp;window.opener.parametros.submit();window.close(); </script>";
							   
							   }
							 else
							  {echo "<script>";   echo "alert('error al ingresar el producto')"; echo "</script>";}
							
					    }
					  else
					   {echo "<script>";   echo "alert('No existe el producto')"; echo "</script>";
					    $id="";
					   }	
		   }
		   else echo "<script>";   echo "alert('Hay un error en los valores')"; echo "</script>";	
}


}

?>
<form name="parametros" method="post" action="" >

<div id="informes" class="container text-center" style="width:70%;">
    <div class="panel panel-default">
      <div class="panel-heading">VENTA PRODUCTO
        <input name="preventa" type="hidden"   id="preventa" value="<?php echo $preventa; ?>" size="10" >
      </div>
      <div align="center">
         <?php 
		   if($paqueteunidad=='P')
		  {
		?>       
 			 <table width="100%" border="0" cellspacing="0" cellpadding="0" class="texto" >
            <tr>
              <td height="0"><center>
                </center>
                  <?php
					   
					 
					   
							echo "<center> 
								<table width='50%' border='1' bordercolor='#FFfff' cellpadding='0' cellspacing='0' class='table table-hover'>";
							echo "<tr><td colspan='2'><center>$nombre<center></td></tr>";					   
							 
								  echo "<tr  >
											  <td><font size='5'><div align='right'>PRECIO</div></font></td>											   
											  <td><font size='5'><div align='right'>";
										?>	  
											  <input name="precio" type="text"   id="precio" value="<?php echo $precio; ?>" 
                                                  style="text-align: right; font-size:40px; width: 250px; height:50px"
                                                  class="form-control" data-placement="right" title="Digite Valor en Efectivo" 
                                                  onkeyup="format(this)" onChange="format(this)" onFocus="format(this)"
                                                   onKeyPress="if(event.keyCode==13){cantidad.focus();}
                                                   			   if(event.keyCode==121){	javascript:window.close();}
                                                               if(event.keyCode==113)
                                                            { valida=pregunta_guardar(); 
                                                            if(valida==true){Oguardar.value=1;submit();}
                                } " >
                  
                  <?php
                     echo "</div></font></td>											 
											</tr>";
									echo "<tr >
											  <td><font size='5'><div align='right'>CANTIDAD</div></font></td>											   
											  <td><div align='right'>";
											  ?>
                  <input name="cantidad" type="text" id="cantidad"  value="<?php echo $cantidad; ?>"
                      style="text-align: right; font-size:40px; width: 250px; height:50px"
                      class="form-control" data-placement="right" title="Digite la cantidad"
                      onkeyup="format(this)" onChange="format(this)" onFocus="format(this)" 
                      onKeyPress="if(event.keyCode==13){Ovalorcambio.value=1;submit();}
                                  if(event.keyCode==121){	javascript:window.close();} 
                                  if(event.keyCode==113)
                                    { valida=pregunta_guardar(); 
                                     if(valida==true){Oguardar.value=1;submit();}
                                    } "
                    >
                  <?php									
											  echo "</div></td>											  											 
											</tr>";		
									echo "<tr >
											  <td><font size='5'><div align='right'>TOTAL</div></font></td>											   
											  <td><div align='right'>";
											  ?>
                  <BR>
                  <input name="total" type="text"   id="total" value="<?php echo $total; ?>" 
                  style="text-align: right; font-size:40px; width: 250px; height:50px"
                  class="form-control" data-placement="right" disabled="true" 
				  onkeyup="format(this)" onChange="format(this)" onFocus="format(this)" >
                  <?php
											  echo "</div></td>											  											 
											</tr>";		 
											
								  echo "</table></center>";
								$canti=$c-1;  
								echo "<input type='hidden' name='canti' value='$canti' readonly size='10'>";
						  	
					 ?>
                <BR>
                  <center>
                    <input name="guardar" type="hidden" id="guardar" value="Guardar Factura" title="Clic para Guardar"  class="botones" 
						  		onClick="Oguardar.value=1;"
						  
						  >
                    <br>
                </center>                </td>
            </tr>
            <tr>
              <td><div align="center">
                  <strong><span class="Estilo1">[F2]Guardar  Factura</span><br></strong>               
                  <strong>[F10]Cerrar</strong>
                 </div></td>
            </tr>
        </table>
         <?php 
		   }
		?>

  </div>
</div>
</div>   
  
  					<input name="Obuscar" type="hidden" id="Obuscar">
                  <input name="oquita" type="hidden" id="oquita">
                  <input name="obuscadato" type="hidden" id="obuscadato">
                  <input name="oculto" type="hidden" id="oculto">
                  <input name="Onuevaventa" type="hidden" id="Onuevaventa">
                  <input name="oagregar" type="hidden" id="oagregar">
                  <input name="Oguardar" type="hidden" id="Oguardar">
                  <input name="Ovalorcambio" type="hidden" id="Ovalorcambio">
                  
<script language="JavaScript">

function pregunta_guardar(){ 
     if (confirm('¿Está seguro de Guardar el Producto?')== false)
	    { return false;Oguardar.value=0;  }  
	else
	  {  Oguardar.value=1; return true;
	  }   
} 

function valida_campos_parametros()
{   var mensaje='';
 
	 if(document.parametros.precio.value!=''){}
	 else {mensaje=mensaje + 'Dede digitar el precio;' }
	 if(document.parametros.cantidad.value!=''){}
	 else {mensaje=mensaje + 'Dede Digitar la cantidad;' } 
	
	if(document.parametros.precio.value!='' && document.cantidad.cantidad.value!=''){return true;}
	else {
		  alert(mensaje);
		  return false;
		 }	

}

</script>
</form>
<div id="resultado"></div>
</body>
</html>


